package com.ssj.service.conch.teacher.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class SearchSubjectProblemListRequest extends BaseRequest {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "pageNo", value = "当前页数", required = true)
    private int    pageNo;

    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int    pageSize;

    @ApiModelProperty(name = "maxCreateTime", value = "最大时间", required = false)
    private String maxCreateTime;

    @ApiModelProperty(name = "userId", value = "学生id", required = true)
    private String userId;

    @ApiModelProperty(name = "subject", value = "学科(语文，数学，英语)", required = false)
    private String subject;
    
    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }


	public String getMaxCreateTime() {
		return maxCreateTime;
	}

	public void setMaxCreateTime(String maxCreateTime) {
		this.maxCreateTime = maxCreateTime;
	}
	
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}
	
}
